{
  "name": "lingxixue-web",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --mode test",
    "build": "vue-tsc --noEmit --skipLibCheck  && vite build",
    "build-test": "vue-tsc --noEmit --skipLibCheck  && vite build --mode test",
    "preview": "vite preview",
    "prepare": "husky",
    "type-check": "vue-tsc --build",
    "lint": "eslint --config .eslintrc.cjs --fix \"src/**/*.{js,ts,vue}\"",
    "lint-staged": "lint-staged",
    "format": "prettier --config .prettierrc.cjs --write \"src/**/*.{js,ts,vue,json,css,scss}\""
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@microsoft/fetch-event-source": "^2.0.1",
    "@types/hammerjs": "^2.0.45",
    "@types/lodash-es": "^4.17.12",
    "@types/nprogress": "^0.2.3",
    "@types/qrcode": "^1.5.5",
    "@vant/touch-emulator": "^1.4.0",
    "@vscode/markdown-it-katex": "^1.1.1",
    "@vueuse/core": "^10.11.0",
    "animejs": "^3.2.2",
    "axios": "^1.7.2",
    "chart.js": "^4.4.3",
    "compare-versions": "^6.1.1",
    "cos-js-sdk-v5": "^1.10.1",
    "dayjs": "^1.11.12",
    "echarts": "^5.5.1",
    "element-plus": "^2.7.8",
    "hammerjs": "^2.0.8",
    "highlight.js": "^11.11.1",
    "html2canvas": "^1.4.1",
    "jsencrypt": "^3.3.2",
    "jslib-html5-camera-photo": "^3.3.4",
    "jspdf": "^3.0.1",
    "katex": "^0.16.21",
    "lodash-es": "^4.17.21",
    "lottie-web": "^5.12.2",
    "markdown-it": "^14.1.0",
    "mathjax": "3.0.1",
    "mediasoup-client": "^3.20.0",
    "mermaid-it-markdown": "^1.0.8",
    "nprogress": "^0.2.0",
    "pinia": "^2.2.0",
    "postcss": "^8.4.40",
    "qrcode": "^1.5.4",
    "qs": "^6.12.3",
    "signature_pad": "^5.0.4",
    "vant": "^4.9.4",
    "vconsole": "^3.15.1",
    "vue": "^3.4.31",
    "vue-cropper": "^1.1.4",
    "vue-router": "^4.4.0",
    "vxe-pc-ui": "^4.6.20",
    "vxe-table": "^4.13.37",
    "xe-utils": "^3.7.5",
    "xgplayer": "^3.0.19"
  },
  "devDependencies": {
    "@babel/core": "^7.19.6",
    "@babel/eslint-parser": "^7.25.1",
    "@commitlint/cli": "^19.3.0",
    "@commitlint/config-conventional": "^19.2.2",
    "@types/katex": "^0.16.7",
    "@types/markdown-it": "^14.1.2",
    "@types/markdown-it-link-attributes": "^3.0.5",
    "@types/node": "^22.0.0",
    "@types/qs": "^6.9.15",
    "@typescript-eslint/eslint-plugin": "^7.17.0",
    "@typescript-eslint/parser": "^7.17.0",
    "@vitejs/plugin-vue": "^5.0.5",
    "@vitejs/plugin-vue-jsx": "^4.0.1",
    "@vue/eslint-config-typescript": "^11.0.2",
    "@vue/tsconfig": "^0.5.1",
    "eslint": "^8.57.0",
    "eslint-config-alloy": "^5.1.2",
    "eslint-plugin-import": "^2.29.1",
    "eslint-plugin-vue": "^9.27.0",
    "husky": "^9.1.3",
    "lint-staged": "^15.2.7",
    "markdown-it-link-attributes": "^4.0.1",
    "postcss-px-to-viewport": "^1.1.1",
    "prettier": "^3.3.3",
    "sass": "^1.77.6",
    "typescript": "^5.2.2",
    "unplugin-auto-import": "^0.18.2",
    "unplugin-vue-components": "^0.27.3",
    "vite": "^5.3.4",
    "vue-eslint-parser": "^9.1.0",
    "vue-tsc": "^2.0.24"
  },
  "lint-staged": {
    "*.{json,md,css,less}": [
      "prettier --write"
    ],
    "*.{js,ts,jsx,tsx,vue}": [
      "prettier --write",
      "eslint --fix"
    ]
  }
}
